nsyMatrix-class {Matrix} | R Documentation

## Symmetric Dense Nonzero-Pattern Matrices

### Description

The `"nsyMatrix"` class is the class of symmetric, dense nonzero-pattern matrices in non-packed storage and `"nspMatrix"` is the class of of these in packed storage. Only the upper triangle or the lower triangle is stored.

### Objects from the Class

Objects can be created by calls of the form `new("nsyMatrix", ...)`.

### Slots

`uplo`:

  Object of class `"character"`. Must be either "U", for upper triangular, and "L", for lower triangular.

`x`:

  Object of class `"logical"`. The logical values that constitute the matrix, stored in column-major order.

`Dim`,`Dimnames`:

  The dimension (a length-2 `"integer"`) and corresponding names (or `NULL`), see the `Matrix` class.

`factors`:

  Object of class `"list"`. A named list of factorizations that have been computed for the matrix.

### Extends

`"nsyMatrix"` extends class `"ngeMatrix"`, directly, whereas
`"nspMatrix"` extends class `"ndenseMatrix"`, directly.

Both extend class `"symmetricMatrix"`, directly, and class `"Matrix"` and others, indirectly, use `showClass("nsyMatrix")`, e.g., for details.

### Methods

Currently, mainly `t()` and coercion methods (for `as(.)`; use, e.g., `showMethods(class="dsyMatrix")` for details.

### See Also

`ngeMatrix`, `Matrix`, `t`

### Examples

    (s0 <- new("nsyMatrix"))

    (M2 <- Matrix(c(TRUE, NA,FALSE,FALSE), 2,2)) # logical dense (ltr)
    (sM <- M2 & t(M2))      # "lge"
    class(sM <- as(sM, "nMatrix")) # -> "nge"
         (sM <- as(sM, "nsyMatrix")) # -> "nsy"
    str ( sM <- as(sM, "nspMatrix")) # -> "nsp": packed symmetric

[Package Matrix version 1.2-7.1 Index]